Get All Open Banking Transactions for All Connected Accounts

Given a userId and optional filters, this endpoint will fetch filtered categorised transactions across all of a user's accounts, sorted in descending order by the created datetime of the transaction. Transactions include an optional field seriesMetadata that will be present when a transaction has been highlighted as being part of a series. A series will identify any transactions that have a recurring behaviour. Examples of series transactions include rent and salary. If DataOne has set up a server-side filter to restrict transactions to the latest X months, then this endpoint will not return any transactions prior to the latest X month period. In this scenario, the response status would continue to return 200 OK.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The User ID

Query Params
accountId
array of uuids

Optional Account IDs. Can specify one or more values in order to aggregate over specific accounts. Leave out in order to aggregate over all user accounts.

accountId
category
array of strings

The purpose category given to the transaction by the classification system.

There will always be a tag returned - "Untagged" will be the default value if the classification engine cannot determine the purpose.

Can specify multiple values in order to return transactions for more than one category.

category
date-time

Defines the earliest possible value of created on the returned list of transactions

Does not accept any timezones aside from Z; must include the time with milliseconds.

Can be used with or without dateTo

date-time

Defines the latest possible value of created on the returned list of transactions.

Does not accept any timezones aside from Z; must include the time with milliseconds.

Can be used with or without dateFrom

string

The merchant name given to the transaction by the classification system.

There will always be a merchant returned - "No Merchant Business Line" will be the default value if the classification engine cannot determine the merchant.

string
enum

The version of the DataOne categorisation engine that will be used to process transactions.

If no categorisation version is provided, the default version associated to the requesting organisation will be used.

Allowed:
Responses

401

API key authentication unsuccessful.

403

Access if forbidden if categorisation is disabled.

404

User is invalid or does not exist.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json